import React from 'react'
import { Box, Typography, CardContent, CardMedia } from '@material-ui/core'

import { CardContainer } from './styles'

export default function(props) {
    const {image, title, text} = props

    return (
        <CardContainer image={image}>
            <Box id="image">
                {
                    image?
                        <img src={image} alt={text} />
                    :
                        <></>
                }
            </Box>
            <Box id="text">
                {
                    title?
                        <Typography variant="h5" id="title">
                            {title}
                        </Typography>
                    :
                        <></>
                }
                {
                    text?
                        <Typography variant="body1">
                            {text}
                        </Typography>
                    :
                        <></>
                }                
            </Box>
        </CardContainer>
    )
}