import styled from 'styled-components'
import { Box, createMuiTheme } from '@material-ui/core'
const { breakpoints } = createMuiTheme()

export default styled(Box)`
    width: 75vw;
    height: 85.5vh;
    background-color: #fff0f0;
    border-radius: 15px;
    padding: 3vw;
    overflow-y: auto;
    -webkit-box-shadow: 0px 0px 27px 3px rgba(0,0,0,0.5);
    -moz-box-shadow: 0px 0px 27px 3px rgba(0,0,0,0.5);
    box-shadow: 0px 0px 27px 3px rgba(0,0,0,0.5); 
    ${breakpoints.down(960)} {
        width: 82.5vw;
        padding: 5vw;
    }
    .content-title{
        color: #046e8e;
        font-weight: bold !important;
    }
    .icon-background {
        cursor: pointer;
        transition: all 0.3s;
        background-color: #046e8e;
        padding: 10px;
        border-radius: 40px;
        margin: 5px;
        transition: all 0.3s;
        :hover {
            transform: scale(1.1);
        }
        ${breakpoints.up(1600)} {
            padding: 18px;
            border-radius: 50px;
        }
    }
    .nav-icon {
        fill: white !important;
    }
`
