import styled from 'styled-components'
import { Box, createMuiTheme } from '@material-ui/core'
const { breakpoints } = createMuiTheme()

export default styled(Box)`
  justify-content: center;

  .title-section {
      width: 80%;
      height: auto;
      text-align: center;

      ${breakpoints.down(600)} {
        width: 91%;
        margin-right: auto;
        margin-left: auto;
      }
  }

  .primary-title {

    h1 {
      font-weight: 600;
    }

  }

  .cover-button {
    cursor: pointer;
    background: ${props => props.theme.palette.primary.card};
    overflow: hidden;

    box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24);
    transition: all 0.3s cubic-bezier(.25,.8,.25,1);

    width: 16rem !important;
    height: 4rem;
    border-radius: 50px;
    color: white;
    z-index: 100;

    :hover {
      transform: scale(1.10);
      background: ${props => props.theme.palette.primary.dark};
      box-shadow: 0 14px 28px rgba(0,0,0,0.25), 0 10px 10px rgba(0,0,0,0.22);
    }
    
    *&:focus { 
      outline: none !important;
    }

    img {
      width: 125%;
      fill: #00f;
    }

    ${breakpoints.down('sm')} {
      width: 12rem !important;
      height: 3rem;
    }
  }
`
