import React from "react"

import RoundButton from "../RoundButton"

import { Toolbar, useMediaQuery, Box } from "@material-ui/core"
import { Replay, ArrowBack, ArrowForward } from "@material-ui/icons"
import { Footer, MenuButton } from "./styles"

import marcas from '../../assets/images/capa/regua_marcas.png'

export default function (props) {
	const { replay, prev, next, logos, between } = props
	const mobile = useMediaQuery('(max-width: 900px)')

  	return (
		<>
		{
			logos?
			<Footer logos={true}>
				<Box className="footer-container">
					<img src={marcas} alt="Instituições responsáveis pelo curso" />
				</Box>
			</Footer>
			:
			<Footer footerColor={props.footerColor}>
			<Toolbar>
				{
					replay?
						<RoundButton type="replay" to={replay} />
					:
						<RoundButton disabled />
				}			
				{
					mobile?
					<>
						<div className="endbutton">
							{
								prev?
									<RoundButton type="previous" to={prev} />
								:
									<RoundButton type="previous" opacity />
							}
							{
								next?
									<RoundButton type="next" to={next} margin />
								:
									<RoundButton type="next" opacity margin />
							}
						</div>
					</>
					:
					<>
					{ between ?
						<>
						<div className="betweenbutton">
							{
								prev?
									<RoundButton type="previous" to={prev} />
								:
									<RoundButton type="previous" opacity />
							}
							{
								next?
									<RoundButton type="next" to={next} margin />
								:
									<RoundButton type="next" opacity margin />
							}
						</div>
						<div className="placeholder">
							<RoundButton disabled />
						</div>
						</>
						:
						<>
						<div className="middlebutton">
							{
								prev?
									<RoundButton type="previous" to={prev} />
								:
									<RoundButton type="previous" opacity />
							}
							{
								next?
									<RoundButton type="next" to={next} margin />
								:
									<RoundButton type="next" opacity margin />
							}
						</div>
						<div className="placeholder">
							<RoundButton disabled />
						</div>
						</>

					}
					</>
				}
			</Toolbar>
		</Footer>
		}		
		</>
  	)
}
