import styled from 'styled-components'
import { Box } from '@material-ui/core'

export const StyledHeader = styled(Box)`
  padding: 0.5rem;
  background-color: ${props => props.theme.palette.header.main};
  ${props => props.cover? "height: 10vh; display: flex; align-items: center" : ""};

  .endbutton {
    flex-grow: 1;
    display: flex;
    justify-content: flex-end;
  }
`

export const MenuButton = styled.button`
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #DEE7EE;
  color: #2F414C;
  width: 45px;
  height: 45px;
  border-radius: 50%;
  border: none;
  box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24);
  transition: all 0.3s cubic-bezier(.25,.8,.25,1);
  margin-left: ${props => props.mleft? "1rem" : "0"};
  transition: 0.2s linear;
  cursor: pointer;

  @media(min-width: 900px) {
    width: 3.5rem;
    height: 3.5rem;
  }
  
  &:hover {
    background-color: #B9D3E7;
    box-shadow: 0 7px 14px rgba(0,0,0,0.25), 0 5px 5px rgba(0,0,0,0.22);
    transition: all 0.3s cubic-bezier(.25,.8,.25,1);
  }

  &:focus {
    outline: none;
  }

  img {
    width: 120%;
  }

  ${props => props.disabled? "opacity: 0; pointer-events: none;" : "opacity: 1"};
`