import React from 'react'
import { Link } from 'react-router-dom'
import Home from '../../assets/buttons/home-solid.svg'
import Menu from '../../assets/buttons/bars-solid.svg'
import Aux from '../../assets/buttons/award-solid.svg'
import { makeStyles, Box } from '@material-ui/core'
import theme from '../../theme'

import Drawer from '../Drawer'

const useStyles = makeStyles(
  {
    box: {
      position: 'relative',
      width: '100%',
      height: '3rem',

      [theme.breakpoints.up('1500')]: {
        height: '6rem'
      }
    },
    button: {
      width: '2rem',
      height: '2rem',
      padding: '3px',
      marginLeft: '0.3rem',
      [theme.breakpoints.up('1200')]: {
        width: '3rem',
        height: '3rem',
        marginLeft: '0.5rem'
      },
      [theme.breakpoints.up('1500')]: {
        width: '4rem',
        height: '4rem',
        marginLeft: '1rem'
      }
    },
    leftbox: {
      display: 'flex',
      alignItems: 'center',
      marginLeft: '0.2rem',
      [theme.breakpoints.up('1200')]: {
        marginLeft: '1rem',
      }
    }
  }
)

export default function (props) {
  const styles = useStyles()
  return (
    <>
      <Box display='flex' justifyContent='' alignItems='center' className={styles.box}>
        <div className=''>
          <img src={Menu} className={styles.button} />
          {
            (props.Home === 'true')
              ? <Link to='/'>
                <img src={Home} className={styles.button} />
              </Link>
              : <></>
          }
        </div>
        <div className='ml-auto mr-4'>
          <img src={Aux} className={styles.button} />
        </div>
      </Box>
    </>
  )
}
