import React from "react"

import { Button, ActionButton } from "./styles"
//Button leva pra algum lugar, ActionButton executa uma ação mas não troca a página

//assets
import {
  HelpOutline,
  ArrowBack,
  ArrowForward,
} from "@material-ui/icons"
import Replay from './../../assets/buttons/replay.svg'
import btn_home from "../../assets/buttons/btn_home.svg"
import btn_download from "../../assets/buttons/download.svg"
import btn_menu from "../../assets/buttons/menu.svg"
import btn_prev from "../../assets/buttons/btn_prev.png"
import btn_next from "../../assets/buttons/btn_next.png"

export default function (props) {
  const { type, color, margin, to, disabled, opacity, onClick, tooltip } = props

  return (
    <>
      {to ? (
        <Button to={to} color={color} margin={margin} data-tooltip={tooltip}>
          {
            {
              home: <img src={btn_home} alt="Início" />,
              menu: <img src={btn_menu} alt="Menu" />,
              help: <HelpOutline fontSize="large" />,
              replay: <img src={Replay} alt='replay' />,
              previous: <img src={btn_prev} alt="voltat" />,
              next: <img src={btn_next} alt="avançar" />,
              download: <img src={btn_download} alt="Download"/>
              //adicionar mais conforme necessário
            }[type]
          }
        </Button>
      ) : (
        <>
          {disabled ? (
            <ActionButton disabled />
          ) : (
            <>
              {opacity ? (
                <ActionButton color={color} margin={margin} opacity>
                  {
                    {
                      home: <img src={btn_home} alt="Início" />,
                      menu: <img src={btn_menu} alt="Menu" />,
                      help: <HelpOutline fontSize="large" />,
                      replay: <img src={Replay} alt='replay' />,
                      previous: <img src={btn_prev} alt="voltat" />,
                      next: <img src={btn_next} alt="avançar" />,
                      download: <img src={btn_download} alt="Download"/>
                      //adicionar mais conforme necessário
                    }[type]
                  }
                </ActionButton>
              ) : (
                <ActionButton color={color} margin={margin} onClick={onClick} data-tooltip={tooltip}>
                  {
                    {
                      home: <img src={btn_home} alt="Início" />,
                      menu: <img src={btn_menu} alt="Menu" />,
                      help: <HelpOutline fontSize="large" />,
                      replay: <img src={Replay} alt='replay' />,
                      previous: <ArrowBack fontSize="large" />,
                      next: <ArrowForward fontSize="large" />,
                      download: <img src={btn_download} alt="Download"/>
                      //adicionar mais conforme necessário
                    }[type]
                  }
                </ActionButton>
              )}
            </>
          )}
        </>
      )}
    </>
  )
}
