import React, { useState } from 'react'
import { Container, SideNavButton } from './styles'

import Bars from './assets/icone_barras.png'

import Main from './contents/principal'
import Referencias from './contents/referencias'
import Creditos from './contents/creditos'
import Objetivos from './contents/objetivos'

export default function Sidenav () {
  const [content, setContent] = useState({ current: 'main', title: 'Principal' })

  function openNav () {
    document.getElementById('mySidenav').style.width = '250px'
  }

  function closeNav () {
    document.getElementById('mySidenav').style.width = '0'
  }

  function changeMenu (current, title) {
    setContent({ current, title })
  }

  function contentPrincipal () {
    return <Main changeMenu={changeMenu} closeNav={closeNav} />
  }

  function contentReferencias () {
    return <Referencias changeMenu={changeMenu} />
  }

  function contentCreditos () {
    return <Creditos changeMenu={changeMenu} />
  }

  function contentObjetivo () {
    return <Objetivos changeMenu={changeMenu} />
  }

  return (
    <>
      <SideNavButton id='sidenav-button' onClick={() => { openNav() }}>
        <img id='btn-bars' src={Bars} alt='' />
      </SideNavButton>
      <Container>
        <div id='mySidenav' class='sidenav'>
          {content.current === 'main' ? contentPrincipal() : ''}
          {content.current === 'ref' ? contentReferencias() : ''}
          {content.current === 'cred' ? contentCreditos() : ''}
          {content.current === 'obj' ? contentObjetivo() : ''}
        </div>
      </Container>
    </>
  )
}
