import React from 'react'
import styled from 'styled-components'
import { Typography } from '@material-ui/core'

const Text = styled.div`
    background-color: ${props => props.theme.palette.secondary.main};
    color: ${props => props.theme.palette.secondary.text};
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 10px;
    border-radius: 500px;

    p {
        font-weight: 900;
    }

    opacity: ${props => props.empty? "0" : "1"};
`

export default function(props) {

    const { text, empty } = props

    return (
        <>
        {
            empty?
            <Text empty>
                placeholder
            </Text>
            :
            <Text>
                <Typography variant="body1">
                    {text}
                </Typography>
            </Text>
        }
        </>
        
    )
}

