import React from 'react'
import styled from 'styled-components'

//assets
import btn from '../../assets/buttons/btn_opener.svg'

const TextButton = styled.button`
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0;
    padding: -20px;
    border: none;
    border-radius: 500px;
    background-color: transparent;

    img {
        position: relative;
        right: -5px;
        width: 100%;
        max-width: 90px;

        @media(min-width: 1200px) {
            max-width: 120px;
        }

        @media(min-width: 1800px) {
            max-width: 180px;    
        }
    }

    .disabled {
        opacity: 0;
        pointer-events: none;
    }

    :focus {
        outline: none;
    }

    ${props => props.clicked? "filter: grayscale(100%)": ""};
`

export default function(props) {

    const { onClick, empty, clicked } = props

    return (
        <>
        {
            empty?
            <TextButton>
                <img src={btn} alt="" className="disabled"/>
            </TextButton>
            :
            <TextButton onClick={onClick} clicked={clicked}>
                <img src={btn} alt="" />
            </TextButton>            
        }
        </>
        
    )
}

