import React, { useEffect } from 'react'
import CssBaseline from '@material-ui/core/CssBaseline'
import Grid from '@material-ui/core/Grid'
import Router from '../../routes'
import useDefineContent from './orientationUtils'
import Swipe from 'react-easy-swipe'

import { Container } from './styles'
import { ThemeProvider as StyledProvider } from 'styled-components'
import { ThemeProvider } from '@material-ui/core/styles'
import theme from '../../theme/index'
import { swipeRight, swipeLeft, usePage } from './swipe'

const content = () => <Grid id='center-container' item xs={12}> <Router /> </Grid>

export default function UI () {
  const pages = []
  const p = usePage()

  useEffect(() => {
    for (const p of Router().props.children.props.children.props.children) {
      pages.push(p.props.path)
    }
    console.log(pages)
  }, [pages])

  console.log(theme)
  return (
    <>
      <CssBaseline />
      <StyledProvider theme={theme}>
        <ThemeProvider theme={theme}>
          <Container container direction='row' justify='center' alignItems='center'>
            <Swipe
              onSwipeLeft={() => swipeLeft(p.currentPage, p.setPage, pages)}
              onSwipeRight={() => swipeRight(p.currentPage, p.setPage, pages)}
              className='w-100 h-100'
            >
              {useDefineContent(content)}
            </Swipe>
          </Container>
        </ThemeProvider>
      </StyledProvider>
    </>
  )
}
