import React from 'react'
import { Typography, Box } from '@material-ui/core'
import DefaultPage from '../../components/DefaultPage'

import { StyledContainer } from './styles'

import imagem from '../../assets/images/p10/p10.png'

export default function () {
  return (
    <DefaultPage header footerColor='#18bfc5' next='/p11' replay='/p4' title1='Financiamento' color=' #dbfffe'>
      <StyledContainer>
        <Box id='superior'>
          <Typography variant='body1' className='d-block'>
            <p id='text'>
            Um sistema de saúde público, universal e gratuito não se concretiza por mera proclamação. Ou seja, para além de inscrevê-lo no texto constitucional, sua efetiva implementação depende da disponibilização das condições materiais para que isso ocorra.
            </p>
            <p id='text'>
            Quem financia, o quanto financia e como se financia o sistema de saúde é o que determina o alcance em maior ou menor medida dos seus objetivos.
            </p>
          </Typography>
          <Box id='quadro'>
            <Typography variant='body1'>
            Certamente, o financiamento do SUS
            é um dos pontos que mais suscita
            debate, desde a sua criação até os
            dias atuais, dada a histórica
            instabilidade para que seja
            assegurado.
            </Typography>
          </Box>
        </Box>
        <Box className='d-flex position-relative' id='quadro-inferior'>
          <img src={imagem} alt='' id='imagem' />
          <Typography variant='body1' id='text-inferior'>
          A CF/88 definiu que o SUS seria financiado com recursos do Orçamento da Seguridade Social, da União, dos estados, do distrito Federal e dos municípios. Chegou-se a prever no texto constitucional que a saúde seria financiada com 30% do Orçamento da Seguridade Social, o que não foi de fato cumprido.
          </Typography>
        </Box>
      </StyledContainer>
    </DefaultPage>
  )
}
