import React, { useState } from 'react'
import { Typography, Box } from '@material-ui/core'
import Reference from '../../components/Reference'

import DefaultPage from '../../components/DefaultPage'
import { StyledContainer, Modal } from './styles'

import imagem from '../../assets/images/p13/p13.png'
import botao1 from '../../assets/images/p13/p13-btn1.png'
import botao2 from '../../assets/images/p13/p13-btn2A.png'
import fechar from '../../assets/buttons/btn_fechar.svg'

export default function () {
  const texto1 = <p>A aprovação da EC-29/2000 fez com que permanecesse em aberto a definição de quais despesas poderiam ser consideradas como gastos em saúde. Isso deu margem para que o efetivo cumprimento da Emenda fosse questionado, pois, em certos casos, foram computados gastos alheios à saúde, tais como despesas com inativos, saneamento, habitação e merenda escolar<Reference num="6" onClick={() => [setRef(6), setEffect(!effect)]} />.</p>
  const texto2 = <p>A EC-29/2000 foi regulamentada pela Lei Complementar nº 141/2012, a qual definiu o que poderia ser considerado como ações e serviços de saúde, vedando a aplicação de recursos em outras áreas. Além disso, também regulamentou a aplicação dos recursos e os mecanismos de repasses entre união, estados e municípios. A LC-141/2012 afirmou, ainda, que a alocação de recursos deve ter como critério as necessidades de saúde, devendo estar vinculada aos planos de saúde (instrumento de planejamento da gestão pública de saúde)<Reference num="4" onClick={() => [setRef(4), setEffect(!effect)]} />. Com a Lei nº 141/2012, o gasto mínimo da União passou a ter como referência o gasto do exercício anterior, acrescido da variação do PIB.</p>

  const [exibirTexto, setTexto] = useState(texto1)
  const visible = {
    visibility: 'visible'
  }
  const noVisible = {
    visibility: 'collapse'
  }
  const [modal, setModal] = useState(noVisible)

  const [ref, setRef] = useState(0)
  const [effect, setEffect] = useState(false)

  return (
    <DefaultPage header effect={effect} referencia={ref} footerColor='#18bfc5' prev='/p12' next='/p17' replay='/p4' title1='Financiamento' color=' #dbfffe'>
      <StyledContainer>
        <Typography variant='body1'>
          <p>
          Acompanhe abaixo uma linha do tempo com dois marcos importantes do financiamento do Sistema Único de Saúde. <strong>Clique</strong> nos botões para acessar os conteúdos:
          </p>
        </Typography>
        <Box className='d-flex align-items-center' id='conteudo'>
          <Box className='position-relative mb-3'>
            <Box>
              <img src={botao1} alt='botao1' id='botao1' onClick={() => [setModal(visible), setTexto(texto1)]} />
            </Box>
            <img src={imagem} alt='estrada' id='estrada' />
            <Box>
              <img src={botao2} alt='botao1' id='botao2' onClick={() => [setModal(visible), setTexto(texto2)]} />
            </Box>
          </Box>
          <Typography variant='body1'>
            <p id='texto'>
              Perceba que é recente o início de algum grau de
              estabilidade no financiamento do SUS, o que só
              foi possível com a definição da vinculação de
              receitas e repasses entre os entes federados.
              Historicamente, as condições materiais para
              que o sistema se concretizasse conforme a
              previsão constitucional não haviam sendo
              disponibilizadas.
            </p>
          </Typography>
        </Box>
        <Modal style={modal}>
          <Typography variant='body1' id='modal'>
            {exibirTexto}
          </Typography>
          <div id='button'>
            <img src={fechar} alt='' id='fechar' onClick={() => setModal(noVisible)} />
          </div>
        </Modal>
      </StyledContainer>
    </DefaultPage>
  )
}
