import styled from 'styled-components'
import { AppBar, Box, createMuiTheme } from '@material-ui/core'


export const StyledContainer = styled(Box)`
  position: relative;
  height: 100%;
  display: Flex;
  flex-direction: column;
  #conteudo{
    @media(max-width: 900px){
    flex-direction: column;
    }
  }
  #estrada{
    width: 25vw;
    @media(max-width: 900px){
    width: 100%;
    }
  }
  #botao1{
    position: absolute;
    width: 65%;
    top: -8%;
    right: -6%;
    cursor: pointer;
    animation: surgir 2s, animacao infinite 0.7s 1.9s;
  }
  
  #botao1:hover{
    transform: scale(1.15);
    animation: hidden;
  }
  #botao2{
    position: absolute;
    width: 43%;
    top: 22%;
    left: 7%;
    z-index: 10;
    cursor: pointer;
    animation: surgir2 3s, animacao infinite 0.7s 2.9s;
  }
  #botao2:hover{
    transform: scale(1.15);
    animation: hidden;
  }

  @keyframes surgir {
    from{
      transform: translate3d(0px, -100px, 0px);
      opacity: 0;
    }
    to{
      transform: translate3d(0px, 0px, 0px);
      opacity: 1;
    }
  }
  @keyframes surgir2 {
    0%{
      opacity: 0;
      transform: translate3d(0px, -100px, 0px);
    }
    33.33%{
      transform: translate3d(0px, -100px, 0px);
      opacity: 0;
    }
    100%{
      transform: translate3d(0px, 0px, 0px);
      opacity: 1;

    }
  }
  
  @keyframes animacao {
    0% {
      transform: translate3d(0px, 0px, 0px);
    }
    50% {
      transform: translate3d(0px, -10px, 0px);
    }
    100% {
      transform: translate3d(0px, 0px, 0px);
    }
  }

  #texto{
    border: solid 2px;
    padding: 1rem;
    border-radius: 25px;
  }
`
export const Modal = styled.div`
  position: absolute;
  background-color: #DBFFFE;
  padding: 2vh 2vw 2vh 2vw;
  width: 40vw;
  height: auto;
  border: solid;
  border-color: #18bfc5;
  border-width: 2px;
  border-radius: 10px;
  box-shadow: 5px 5px 5px black;
  top: 0vh;
  left: 29%;
  z-index: 100;
  @media(max-width: 900px){
    width: 100%;
    left: 0;
  }
  #modal{
    font-size: 2vh;
    text-indent: 0;
  }
  #button{
    #fechar{
      position: absolute;
      height: 3vh;
      top: 1vh;
      right: 1vh;
      cursor: pointer
      
    }
    #fechar:hover{
    transform: scale(1.1)
  }
  }
  
`
