import React, { useState } from 'react'
import { Typography, Box } from '@material-ui/core'
import Reference from '../../components/Reference'
import DefaultPage from '../../components/DefaultPage'
import { StyledContainer } from './styles'

import card1 from '../../assets/images/p11/p11.png'
import card2 from '../../assets/images/p17/p17.png'
import card3 from '../../assets/images/p10/p10.png'
import seta from '../../assets/images/p17/p17-seta.png'

import btnPrev from '../../assets/images/p17/p19-back.png'
import btnNext from '../../assets/images/p17/p19-next.png'
import btnNextMob from '../../assets/images/p17/next.png'
import btnPrevMob from '../../assets/images/p17/prev.png'

export default function () {
  const [ref, setRef] = useState(0)
  const [effect, setEffect] = useState(false)

  const imagens = [card1, card2, card3]
  const texto = [<p> O financiamento do SUS se origina de impostos e contribuições que a sociedade destina ao Estado, nos níveis federal, estadual e municipal<Reference num="7" onClick={() => [setRef(7), setEffect(!effect)]} />.</p>, <p> As transferências ocorrem de modo regular e automático, diretamente do Fundo Nacional de Saúde (FNS) para os fundos estaduais e municipais, ou do Fundo Estadual para o Fundo Municipal.  </p>, <p> Esse processo é conhecido como transferência “fundo a fundo” e corresponde à principal modalidade de transferência de recursos entre os entes federados<Reference num="2" onClick={() => [setRef(2), setEffect(!effect)]} />.</p>]
  const [numTexto, setNum] = useState(0)
  const [exibirTexto, setTexto] = useState(texto[numTexto])
  const [exibirImagem, setImagem] = useState(imagens[numTexto])
  return (
    <DefaultPage effect={effect} referencia={ref} header footerColor='#18bfc5' prev='/p13' next='/p18' replay='/p4' title1='Financiamento' color=' #dbfffe'>
      <StyledContainer>
        <Box>
          <Box className='d-flex justify-content-center' id='objetivo'>
            <Typography variant='body1'>
              Como ocorrem esses repasses financeiros e sua gestão?
            </Typography>
            <Typography variant='body1' id='caixa-title'>
              <p id='obj-title'>Mas de onde vêm os recursos para o SUS?</p>
            </Typography>
          </Box>
          <Box className='d-flex justify-content-center align-items-center w-100 mt-2 desktop'>
            <Box id='card' className='card1 d-flex flex-column align-items-center'>
              <img src={card1} alt='card1' className='img1' />
              <Typography variant='body1'>
                <p id='text-card'>
                O financiamento do SUS se origina de impostos e contribuições que a sociedade destina ao Estado, nos níveis federal, estadual e municipal<Reference num="7" onClick={() => [setRef(7), setEffect(!effect)]} />.
                </p>
              </Typography>
            </Box>
            <img src={seta} alt='card1' id='seta' className='seta1'/>
            <Box id='card' className='card2 d-flex flex-column align-items-center'>
              <img src={card2} alt='card1' className='img2' />
              <Typography variant='body1'>
                <p id='text-card'>
                  As transferências
                  ocorrem de modo
                  regular e automático,
                  diretamente do Fundo
                  Nacional de Saúde
                  (FNS) para os fundos
                  estaduais e municipais,
                  ou do Fundo Estadual
                  para o Fundo Municipal.
                </p>
              </Typography>
            </Box>
            <img src={seta} alt='card1' id='seta' className='seta2' />
            <Box id='card' className='card3 d-flex flex-column align-items-center'>
              <img src={card3} alt='card1' className='img3' />
              <Typography variant='body1'>
                <p id='text-card'>
                  Esse processo é
                  conhecido como
                  transferência
                  “fundo a fundo”
                  e corresponde à
                  principal
                  modalidade de
                  transferência de
                  recursos entre os
                  entes federados<Reference num="2" onClick={() => [setRef(2), setEffect(!effect)]} />.
                </p>
              </Typography>
            </Box>
          </Box>
          <Box id='mobile' className='d-flex align-items-center'>
            <Box>
              {numTexto > 0 ? <img src={btnPrevMob} alt='' id='botao' onClick={() => [setNum(numTexto - 1), setTexto(texto[numTexto - 1]), setImagem(imagens[numTexto - 1])]} /> : <img src={btnPrevMob} alt='' id='botao' className='quadroDesativado' />}
            </Box>
            <Box id='card-mobile' className='d-flex flex-column align-items-center'>
              <Box className='d-flex justify-content-center' id='caixa-imagem-mobile'>
                <img src={exibirImagem} alt='card1' className='img-mobile' />
              </Box>
              <Typography variant='body1' id='text-card-mobile'>
                {exibirTexto}
              </Typography>
            </Box>
            <Box>
              {numTexto < 2 ? <img src={btnNextMob} alt='' id='botao' onClick={() => [setNum(numTexto + 1), setTexto(texto[numTexto + 1]), setImagem(imagens[numTexto + 1])]} /> : <img src={btnNextMob} alt='' id='botao' className='quadroDesativado' />}
            </Box>
          </Box>
        </Box>
      </StyledContainer>
    </DefaultPage>
  )
}
