import styled from 'styled-components'
import { AppBar, Box, createMuiTheme } from '@material-ui/core'


export const StyledContainer = styled(Box)`
  position: relative;
  height: 100%;
  #text{
    width: 77%;
  }

  .desktop{
    @media(max-width: 900px){
      visibility: collapse;
      position: absolute;
    }
  }

  #objetivo{
    padding: 2vh;
    margin: 0 auto;
    margin-top: 1rem;
    margin-bottom: 1rem;
    width: 60vw;
    border: solid 3px #4BB6B2;
    border-radius: 10px;
    z-index: 10;
    @media(max-width: 900px){
      width: 100%;
      flex-direction: column-reverse
    }

  }
  #caixa-title{
    position: absolute;
    top: 0vh;
    width: auto;
    @media(max-width: 900px){
      position: relative;
    }
  }
  #obj-title{
    font-size: 3vh;
    padding: 0 1vh;
    background: #dbfffe;
    margin: 0 auto;
    color:#515151;
    
  }
  #card{
    border-radius: 25px;
    width: 20vw;
    height: 30vh; 
    background: #c1dbf3;
  }

  .img1{
    max-width: 9.5vw;
  }
  .img2{
    max-width: 13vw;
  }
  .img3{
    max-width: 7.5vw;
  }
  #text-card{
    font-size: 2vh;
    padding: 2vh;
    height: 26vh;
    background:#99d9de;
    border-radius: 10px;
    @media(min-width: 900px){
      height: 36vh;
    };
    @media(min-width: 1200px){
      height: 28vh;
    }
    @media(max-height: 700px){
      height: 17vh;
    }

  }
  #seta{
    height: 10vh;
    margin: 0 2vw;
  }

  /* MOBILE */
  #mobile{
    @media(min-width: 900px){
      visibility: collapse;
      position: absolute;

    }
  }

  #card-mobile{
    border-radius: 25px;
    width: 100%;
    height: 40vh; 
    background: #c1dbf3;
    margin: 0 1vh;
  }
  .img-mobile{
    width: 73%;
  }

  #text-card-mobile{
    font-size: 2vh;
    padding: 2vh;
    height: 25vh;
    background:#99d9de;
    border-radius: 10px;
  }

  #botao{
    @media(max-width: 900px){
      width: 3vh;
    }
  }

  .quadroDesativado{
    filter: contrast(50%)
  }

/* ANIMAÇÕES */
  .card1{
    animation: animacao 1s;
    
  }
  .seta1{
    animation: animacao 2s
  }
  .card2{
    animation: animacao 3s
  }
  .seta2{
    animation: animacao 4s
  }
  .card3{
    animation: animacao 5s
  }
  @keyframes animacao {
    from {
      opacity: 0;
      transform: translate3d(-500px, 0px, 0px);
    }
    to {
      opacity: 1;
      transform: translate3d(0px, 0px, 0px);
    }
  }

`
