import React, { useState } from 'react'
import { Typography, Box } from '@material-ui/core'
import Reference from '../../components/Reference'
import DefaultPage from '../../components/DefaultPage'

import { StyledContainer } from './styles'

import imagem from '../../assets/images/p18/p18.png'

export default function () {
  const [ref, setRef] = useState(0)
  const [effect, setEffect] = useState(false)

  return (
    <DefaultPage effect={effect} referencia={ref} header footerColor='#18bfc5' prev='/p17' next='/p19' replay='/p4' title1='Financiamento' color=' #dbfffe'>
      <StyledContainer>
        <Box className='d-flex justify-content-center'>
          <Typography variant='body1'>
            <p>Os recursos destinados ao SUS são fiscalizados pelos seguintes órgãos:</p>
          </Typography>
        </Box>
        <Box className='d-flex justify-content-center align-items-center ' id='mobile'>
          <Typography variant='body1'>
            <p id='orgaos'>Tribunais de Contas da União (TCU)</p>
            <p id='orgaos'>Tribunais de Contas do Estado (TCE)</p>
            <p id='orgaos'>Tribunais de Contas do Município (TCM)</p>
            <p id='orgaos'>Controladoria-Geral da União (CGU)</p>
            <p id='orgaos'>Poder Legislativo</p>
            <p id='orgaos'>Órgãos de controle interno</p>
            <p id='orgaos'>Conselhos de Saúde</p>
          </Typography>
          <Box id='conteudo' className='d-flex align-items-center flex-column'>
            <img src={imagem} alt='' id='imagem' />
            <Typography variant='body1'>
              <p id='text'>
                É difícil apontar outro setor governamental
                que tenha mais mecanismos de controle do
                que o SUS, o que obviamente não assegura
                totalmente que não ocorrerão ilícitos ou
                desperdício, mas denota a existência de
                um rígido sistema de controle para o bom
                uso do dinheiro público<Reference num="2" onClick={() => [setRef(2), setEffect(!effect)]} />.
              </p>
            </Typography>
          </Box>
        </Box>
      </StyledContainer>
    </DefaultPage>
  )
}
