import React, { useState } from 'react'
import { Typography, Box } from '@material-ui/core'

import DefaultPage from '../../components/DefaultPage'
import Reference from '../../components/Reference'
import { StyledContainer } from './styles'

import imagem from '../../assets/images/p19/p19.png'
import btnNext from '../../assets/images/p19/p19-next.png'
import btnPrev from '../../assets/images/p19/p19-back.png'

export default function () {
  const texto1 = <p>Um dos grandes impasses do financiamento é o reconhecimento inequívoco de que ele é incompatível com o caráter universal do SUS. O Brasil é o único país com sistema público universal cujo gasto público é inferior ao privado. O investimento público em saúde corresponde a 4% do PIB. Países com sistemas similares gastam, em média, 8% do PIB<Reference num="8" onClick={() => [setRef(8), setEffect(!effect)]} /> .</p>
  const texto2 = <p>Atualmente, o financiamento da saúde também é orientado pelo novo Regime Fiscal, regido pela Emenda Constitucional nº 95, de 2016 (EC-95/2016), que estipulou um teto para a despesa primária da União e o congelamento dos gastos com saúde em valores reais de 2016, por um período de vinte anos. Com a EC-95, houve uma tendência ao agravamento do quadro de subfinanciamento do SUS, em comparação com países com sistema público universal.</p>

  const [exibirTexto, setTexto] = useState(texto1)
  const [ativo, setAtivo] = useState(true)

  const [ref, setRef] = useState(0)
  const [effect, setEffect] = useState(false)

  return (
    <DefaultPage effect={effect} referencia={ref} header footerColor='#18bfc5' prev='/p18' replay='/p4' title1='Financiamento' color=' #dbfffe'>
      <StyledContainer>
        <Box>
          <Box className='d-flex justify-content-center' id='box-img'>
            <img src={imagem} alt='' id='imagem' />
          </Box>
          <Box className='d-flex justify-content-center flex-row align-items-center' >
            {ativo ? <img src={btnPrev} alt='' id='botao' onClick={() => [setTexto(texto1), setAtivo(true)]} className='quadroDesativado' /> : <img src={btnPrev} alt='' id='botao' onClick={() => [setTexto(texto1), setAtivo(true)]} />}
            <Box id='text' className='d-flex align-items-center ml-3 mr-3'>
              <Typography variant='body1'>
                {exibirTexto}
              </Typography>
            </Box>
            {ativo ? <img src={btnNext} alt='' id='botao' onClick={() => [setTexto(texto2), setAtivo(false)]} /> : <img src={btnNext} alt='' id='botao' onClick={() => [setTexto(texto2), setAtivo(false)]} className='quadroDesativado' />}
          </Box>
        </Box>
      </StyledContainer>
    </DefaultPage>
  )
}
