import React from 'react'
import { Typography, Box } from '@material-ui/core'

import DefaultPage from '../../components/DefaultPage'

import { StyledContainer } from './styles'

import imagem from '../../assets/images/p20/p20.png'

export default function () {
  return (
    <DefaultPage next='/p21' header footerColor='#18bfc5' replay='/p4' title1='Participação social' color=' #dbfffe'>
      <StyledContainer>
        <Box className='d-flex justify-content-between' id='conteudoSuperior'>
          <Box id='text'>
            <Typography variant='body1'>
              <p>
              No processo de articulação e de negociações que envolveram a criação do SUS, houve o veto presidencial na Lei nº 8.080/90 quanto aos aspectos da participação social. Assim, posteriormente, foi necessário editar mais uma lei que abrangesse as lacunas decorrentes dos vetos e demais elementos.
              </p>
            </Typography>
          </Box>
          <Box id='quadro'>
            <Typography variant='body1'>
              <p>
                É válido lembrar que o <strong><i>Movimento da Reforma
                Sanitária Brasileira</i></strong> nasce com a consigna
                <strong><i>“saúde é democracia”</i></strong>, portanto, a gestão
                participativa, envolvendo a comunidade, é
                uma premissa estruturante do SUS. Sem
                participação social, não há sistema de saúde
                que seja democrático.
              </p>
            </Typography>
          </Box>
        </Box>
        <Box className='d-flex flex-column align-items-center imagem-text-bottom'>
          <Box id='imagem'>
            <img src={imagem} alt='' id='img' />
          </Box>
          <Box id='textoInferior'>
            <Typography variant='body1'>
              <p id='rodape'>
                Desse modo, foi sancionada a <strong><a href='http://www.planalto.gov.br/ccivil_03/leis/L8142.htm' target='_blank'>Lei nº 8.142/90</a></strong> que, dentre outras questões,
                assegurou a participação da comunidade na gestão do SUS
              </p>
            </Typography>
          </Box>
        </Box>
      </StyledContainer>
    </DefaultPage>
  )
}
