import styled from "styled-components";
import { AppBar, Box, createMuiTheme } from "@material-ui/core";

export const StyledContainer = styled(Box)`
  position: relative;
  height: 100%;
  #conteudoSuperior {
    margin: 0 auto;
    @media (max-width: 900px) {
      flex-direction: column;
    }
  }
  #text {
    width: 50%;
    padding: 1rem;
    @media (max-width: 900px) {
      width: 100%;
    }
  }

  #quadro {
    /* margin-left: 4rem; */
    padding: 1rem;
    width: 50%;

    background: #f8d14a;
    border-radius: 0px 25px 25px 25px;

    position: relative;
    @media (max-width: 900px) {
      width: 100%;
    }
  }
  #quadro:after {
    content: "";

    width: 0;
    height: 0;

    position: absolute;

    border-left: 0px solid transparent;
    border-right: 40px solid transparent;
    border-top: 20px solid #f8d14a;

    bottom: -20px;
    left: 25%;
    @media (max-width: 900px) {
      left: 50%;
    }
  }

  #imagem {
    width: 20vw;
    display: flex;
    justify-content: center;
    transform: translate3d(0, -3vh, 0);
    @media (min-width: 1200px) {
      width: 25vw;
    }
    @media (min-width: 1400px) {
      width: 30vw;
    }
  }

  #img {
    width: 100%;
    @media (max-width: 900px) {
      visibility: collapse;
      position: absolute;
    }
  }
  #textoInferior {
    position: absolute;
    bottom: 0vh;
    text-align: center;
    @media (max-width: 900px) {
      margin-top: 2rem;
      position: relative;
    }
  }
  #rodape {
    background: #dfe5ec;
    width: 60%;
    margin: 0 auto;
    padding: 0.5vh 1vh;
    border-radius: 10px;
    @media (max-width: 900px) {
      width: 100%;
    }
  }

  #rodape {
    @media (max-height: 700px) {
      position: relative;
      top: -0.3rem;
    }
  }
`;
