import React, { useState } from 'react'
import { Typography, Box } from '@material-ui/core'

import DefaultPage from '../../components/DefaultPage'

import { StyledContainer } from './styles'

import Reference from '../../components/Reference'

import imagem1 from '../../assets/images/p21/p21-1.png'
import imagem2 from '../../assets/images/p21/p21-2.png'
import imagem3 from '../../assets/images/p21/p21-3.png'

export default function () {
  const texto1 = <p>Têm caráter permanente e atribuição de deliberar sobre as prioridades da política de saúde. Devem aprovar o Plano de Saúde, o orçamento setorial, acompanhar a execução da política de saúde, avaliar os serviços de saúde e fiscalizar a utilização dos recursos alocados nos Fundos de Saúde.<br /><br />Composição<br />- 50% usuários do SUS;<br />- 50% trabalhadores, gestores e prestadores de serviços.</p>
  const texto2 = <p>Reunidas por convocação do gestor ou do Conselho de Saúde para avaliar a situação de saúde e debater temas gerais e específicos da política de saúde.<br />A Conferência Nacional ocorre a cada quatro anos e é precedida por conferências estaduais e municipais ou regionais. Nessas últimas, são definidos os temas e os delegados que farão a representação na Conferência Estadual e Nacional.</p>

  const [ref, setRef] = useState(0)
  const [effect, setEffect] = useState(false)

  const [exibirTexto, setTexto] = useState(texto1)
  const [ativo, setAtivo] = useState(true)

  return (
    <DefaultPage effect={effect} referencia={ref} prev='/p20' header next='/p22' replay='/p4' title1='Participação social' color=' #dbfffe' footerColor='#18bfc5'>
      <StyledContainer>
        <Box className='mb-2'>
          <Typography variant='body1'>
          Para concretizar essa participação, foram institucionalizadas instâncias colegiadas com composição paritária<Reference num="4" onClick={() => [setRef(4), setEffect(!effect)]} />. <strong>Clique</strong> nos botões e conheça cada uma delas:
          </Typography>
        </Box>
        <Box className='d-flex justify-content-center align-items-center' id='mobile'>
          <Box className='d-flex'>
            <img src={imagem1} alt='' id='quadroMaior' />
            <Box id='botoes'>
              {ativo ? <img src={imagem2} id='quadro' onClick={() => [setTexto(texto1), setAtivo(true)]} alt='' /> : <img src={imagem2} id='quadro' className='quadroDesativado' onClick={() => [setTexto(texto1), setAtivo(true)]} alt='' />}
              {ativo ? <img src={imagem3} id='quadro' className='quadroDesativado' onClick={() => [setTexto(texto2), setAtivo(false)]} alt='' /> : <img src={imagem3} id='quadro' onClick={() => [setTexto(texto2), setAtivo(false)]} alt='' />}
            </Box>
          </Box>
          <Typography variant='body1' id='texto'>
            {exibirTexto}
          </Typography>
        </Box>
      </StyledContainer>
    </DefaultPage>
  )
}
