import React, { useState } from 'react'
import { Typography, Box } from '@material-ui/core'

import DefaultPage from '../../components/DefaultPage'
import Reference from '../../components/Reference'

import { StyledContainer } from './styles'

import btnPrev from '../../assets/images/p19/p19-back.png'
import btnNext from '../../assets/images/p19/p19-next.png'
import cidade from '../../assets/images/p22/municipalA.png'
import estado from '../../assets/images/p22/estadualA.png'
import pais from '../../assets/images/p11/p11.png'

export default function () {
  const [ref, setRef] = useState(0)
  const [effect, setEffect] = useState(false)

  const imagens = [cidade, estado, pais]
  const texto = [<p><p><strong>MUNICIPAL</strong></p><p>As políticas são aprovadas pelo Conselho Municipal de Saúde.</p></p>,<p><p><strong>ESTADUAL</strong></p><p>As políticas são negociadas e pactuadas no domínio da Comissão Intergestores Bipartite (CIB), que é composta por representantes das secretarias estaduais e municipais de saúde, e deliberadas pelo Conselho Estadual de Saúde.</p></p>, <p><p><strong>FEDERAL</strong></p><p>As políticas são negociadas e pactuadas na Comissão Intergestores Tripartite (CIT), composta por representantes do Ministério da Saúde e das secretarias municipais e estaduais de saúde, e deliberadas pelo Conselho Nacional de Saúde.</p></p> ]
  const [numTexto, setNum] = useState(0)
  const [exibirTexto, setTexto] = useState(texto[numTexto])
  const [exibirImagem, setImagem] = useState(imagens[numTexto])

  return (
    <DefaultPage effect={effect} referencia={ref} prev='/p21' header replay='/p4' title1='Participação social' color=' #dbfffe' footerColor='#18bfc5'>
      <StyledContainer>
        <Box className='mb-5'>
          <Typography variant='body1'>
          As decisões dos Conselhos de Saúde devem ser homologadas pelo chefe do poder legalmente constituído e não devem ultrapassar a seara do poder legislativo. Essas instâncias de participação social se articulam com outros espaços decisórios e deliberativos na esfera municipal, federal e estadual. <strong>Clique</strong> nos botões abaixo e conheça como se dá o processo decisório em cada uma das instâncias<Reference num="2" onClick={() => [setRef(2), setEffect(!effect)]} />:
          </Typography>
        </Box>
        <Box className='d-flex justify-content-center align-items-center'>
          <Box>
            {numTexto > 0 ? <img src={btnPrev} alt='' id='botao' onClick={() => [setNum(numTexto - 1), setTexto(texto[numTexto - 1]), setImagem(imagens[numTexto - 1])]} /> : <img src={btnPrev} alt='' id='botao' className='quadroDesativado' />}
          </Box>
          <Box className='d-flex ml-3 mr-3' id='conteudo'>
            <Typography variant='body1'>
              {exibirTexto}
            </Typography>
            <img src={exibirImagem} alt='' id='mapa' />
          </Box>
          <Box>
            {numTexto < 2 ? <img src={btnNext} alt='' id='botao' onClick={() => [setNum(numTexto + 1), setTexto(texto[numTexto + 1]), setImagem(imagens[numTexto + 1])]} /> : <img src={btnNext} alt='' id='botao' className='quadroDesativado' />}
          </Box>
        </Box>
      </StyledContainer>
    </DefaultPage>
  )
}
