import React from 'react'
import { Typography, Box } from '@material-ui/core'
import DefaultPage from '../../components/DefaultPage'
import { StyledContainer } from './styles'

import objetivoIcon from '../../assets/images/p3/objetivos.svg'

export default function () {
  return (
    <DefaultPage between next='/p4' title2='APRESENTAÇÃO' header footerColor='#18bfc5'>
      <StyledContainer>
        <Typography variant='body1'>
          <p id='text'>Olá, alunas(os)!</p>

          <p id='text'>
            O Sistema Único de Saúde (SUS) é um sistema de saúde público e universal fruto da luta social pelo reconhecimento da saúde como direito de todos e dever do Estado, conforme demarcado na Constituição Federal de 1988.
          </p>
          <p id='text'>
            Para o seu pleno funcionamento, a articulação entre setor privado, financiamento e participação social são pontos nodais. Você sabe de que forma isso acontece?
          </p>
          <p id='text'>
          Neste material, você conhecerá mais sobre os três aspectos estratégicos elencados, e as características e formas de inserção de cada um deles no SUS.
          </p>
          <p id='text'>
          Bons estudos!
          </p>

        </Typography>
        <Box id='objetivo'>
          <Typography variant='body1'>
            Ao final deste material, você será capaz de reconhecer a participação
            do setor privado, do financiamento e da participação social como
            aspectos estratégicos para o funcionamento do SUS.
          </Typography>
          <Box id='obj-title' className='d-flex justify-content-center'>
            <img src={objetivoIcon} alt='' id='icon' />
            <p id='nomeObjetivo'>OBJETIVO</p>
          </Box>
        </Box>
      </StyledContainer>
    </DefaultPage>
  )
}
