import React, { useState, useEffect } from 'react'
import { Typography, Box, } from '@material-ui/core'
import DefaultPage from '../../components/DefaultPage'

import setorPrivado from '../../assets/images/p4/SetorprivadoBotao.png'
import financiamento from '../../assets/images/p4/financiamentoBotao.png'
import participacao from '../../assets/images/p4/participacaoBotao.png'
import check from '../../assets/images/p4/check.png'
import btnPrev from '../../assets/images/p4/p19-back.png'
import btnNext from '../../assets/images/p4/p19-next.png'
import btnNextMob from '../../assets/images/p4/next.png'
import btnPrevMob from '../../assets/images/p4/prev.png'

import { StyledContainer } from './styles'

export default function () {

  const imagens = [setorPrivado, financiamento, participacao]
  const paginas = ['#/p5', '#/p10', '#/p20']
  const texto = [<p>Setor privado</p>, <p>Financiamento</p>, <p>Participação Social</p>]
  const card = ['card0', 'card1', 'card2']
  const [numTexto, setNum] = useState(0)
  const [exibirTexto, setTexto] = useState(texto[numTexto])
  const [exibirImagem, setImagem] = useState(imagens[numTexto])
  const [exibirCard, setCard] = useState(card[numTexto])
  const [exibirPag, setPag] = useState(paginas[numTexto])

  const Refresh = (page) => {
    switch (page) {
      case 0:
        window.sessionStorage.setItem('card0', true)
        break
      case 1:
        window.sessionStorage.setItem('card1', true)
        break
      case 2:
        window.sessionStorage.setItem('card2', true)
        break
      default:
        break
    }
  }

  useEffect(() => {
    console.log(exibirCard)
    for (let i = 0; i <= 2; i++) {
      if (window.sessionStorage.getItem('card' + i) === 'true') {
        document.getElementById('card' + i).classList = 'visited'
      }
    }
  })

  return (
    <DefaultPage between prev='/p3' next='/p23' header footerColor='#18bfc5'>
      <StyledContainer>
        <Box className='d-flex flex-column align-items-center' id='conteudo'>
          <Typography variant='body1'>
            <p id='text'>
            Dentre os diversos aspectos que configuram o SUS, serão apresentados três pontos nodais para que você compreenda o seu funcionamento. <strong>Clique</strong> nos botões para navegar nos respectivos conteúdos:
            </p>
          </Typography>
          <Box id='desktop'>
            <ul id='imagens'>
              <li id='cardCheck'>
                <img id='card0' className='' src={setorPrivado} onClick={() => { window.location.href = '#/p5'; Refresh(0) }} />
                {window.sessionStorage.getItem('card0') ? <img id='check' src={check} /> : <></>}
              </li>
              <li  id='cardCheck'>
                <img id='card1' className='' src={financiamento} onClick={() => { window.location.href = '#/p10'; Refresh(1) }} />
                {window.sessionStorage.getItem('card1') ? <img id='check' src={check} /> : <></>}
              </li>
              <li  id='cardCheck'>
                <img id='card2' className='' src={participacao} onClick={() => { window.location.href = '#/p20'; Refresh(2) }} />
                {window.sessionStorage.getItem('card2') ? <img id='check' src={check} /> : <></>}
              </li>
            </ul>
            <ul id='legendas'>
              <li id='leg'>
                <Typography variant='body1'>
                  <p>Setor privado</p>
                </Typography>
              </li>
              <li id='leg'>
                <Typography variant='body1'>
                  <p>Financiamento</p>
                </Typography>
              </li>
              <li id='leg'>
                <Typography variant='body1'>
                  <p>Participação Social</p>
                </Typography>
              </li>
            </ul>
          </Box>
          <Box id='mobile' className='d-flex align-items-center'>
            <Box className='d-flex flex-column'>
              <Box className='d-flex align-items-center' id='imagens'>
                <Box>
                  {numTexto > 0 ? <img src={btnPrevMob} alt='' id='botao' onClick={() => [setNum(numTexto - 1), setTexto(texto[numTexto - 1]), setImagem(imagens[numTexto - 1]), setCard(card[numTexto - 1]), setPag(paginas[numTexto - 1])]} /> : <img src={btnPrevMob} alt='' id='botao' className='quadroDesativado' />}
                </Box>
                <Box id='cardCheck'>
                  <img id={exibirCard} className='' src={exibirImagem} onClick={() => { window.location.href = exibirPag; Refresh(0) }} />
                  {window.sessionStorage.getItem({ exibirCard }) ? <img id='check' src={check} /> : <></>}
                </Box>
                <Box>
                  {numTexto < 2 ? <img src={btnNextMob} alt='' id='botao' onClick={() => [setNum(numTexto + 1), setTexto(texto[numTexto + 1]), setImagem(imagens[numTexto + 1]), setCard(card[numTexto + 1]), setPag(paginas[numTexto + 1])]} /> : <img src={btnNextMob} alt='' id='botao' className='quadroDesativado' />}
                </Box>
              </Box>
              <Box id='legendas'>
                <Box className='d-flex' id='leg'>
                  <Typography variant='body1'>
                    {exibirTexto}
                  </Typography>
                </Box>
              </Box>
              <Box className='d-flex pl-5 pr-5 justify-content-center'>
                {numTexto === 0 ? <Box id='linha' /> : <Box id='linhaDes' />}
                {numTexto === 1 ? <Box id='linha' /> : <Box id='linhaDes' />}
                {numTexto === 2 ? <Box id='linha' /> : <Box id='linhaDes' />}
              </Box>
            </Box>
            
          </Box>
        </Box>
      </StyledContainer>
    </DefaultPage>
  )
}

