import styled from 'styled-components'
import { AppBar, Box, createMuiTheme } from '@material-ui/core'

export const StyledContainer = styled(Box)`
  position: relative;
  height: 100%;
  margin-top: 0rem;

  #desktop{
    @media(max-width: 900px){
      visibility: collapse;
      position: absolute;
    }
  }

  #conteudo{
    display: flex;
    align-items: center;
    height: auto;
  }
  #text{
    margin: 0 5vw;
  }

  ul{
    margin: 0;
  }

  li{
    list-style: none;
    width: 27%;
  }

  #imagens{
    display: flex;
    justify-content: space-between;
    padding: 0 50px;
    @media(max-width: 900px){
      padding: 0;
    }
  }

  #card0{
    width: 100%;
    cursor: pointer;
  }
  #card1{
    width: 100%;
    cursor: pointer;
  }

  #card2{
    width: 113%;
    cursor: pointer;
  }

  #legendas{
    display: flex;
    justify-content: space-between;
    padding-right: 2rem;
  }
  #leg{
    text-align: center;
  }

  .visited{
    filter: contrast(50%)
     
  }
  #cardCheck{
    position: relative;
  }
  #check{
    position: absolute;
    top: 2vh;
    right: 0;
    width: 7vh;
  }

  /* MOBILE */

  #mobile{
    @media(min-width: 900px){
      visibility: collapse;
      position: absolute;
    }
  }
  #botao{
    @media(max-width: 900px){
      width: 3vh;
    }
  }
  #legendas{
    @media(max-width: 900px){
      display: flex;
      justify-content: center;
      margin-top: 0rem;
      font-weight: bold;
    }
  }
  #leg{
    @media(max-width: 900px){
      padding-left: 7vw;
    }
  }
  .quadroDesativado{
    filter: contrast(50%);
    @media(max-width: 900px){
      opacity: 0.5;
      filter: contrast(100%)
    }
  }

  #linha{
    @media(max-width:900px){
      display: block;
      width: 30px;
      height: 5px;
      background: #18bfc5;
      margin: 0 5px;
    }
  }
  #linhaDes{
    @media(max-width:900px){
      display: block;
      width: 30px;
      height: 5px;
      background: #18bfc5;
      margin: 0 5px;
      opacity: 0.3;
      /* filter: contrast(50%) */

    }
  }

`
