import React, { useState, useRef, useEffect } from 'react'
import { Typography, Box } from '@material-ui/core'
import DefaultPage from '../../components/DefaultPage'
import { StyledContainer } from './styles'
import Reference from '../../components/Reference'

import down from '../../assets/images/p5/down1.png'
import imagem from '../../assets/images/p5/img-p5.png'

export default function () {

  const [ref, setRef] = useState(0)
  const [effect, setEffect] = useState(false)

  return (
    <DefaultPage header referencia={ref} effect={effect} footerColor='#18bfc5' next='/p7' title1='Participação do setor privado' color=' #dbfffe' replay='/p4'>
      <StyledContainer>
        <Typography variant='body1'>
          <p>
            Os vinte anos anteriores à criação do SUS foram marcados pela intensa e crescente participação do
            setor privado no sistema de saúde brasileiro. Essa participação privada foi impulsionada, inclusive,
            com recursos públicos, por meio de subsídios fiscais e compras de serviços privados pelo estado.
            Assim, as articulações em torno de um novo projeto sanitário para o país implicavam diretamente
            nos interesses das empresas e grupos que atuavam no mercado da saúde.
          </p>

          <p>
            No processo de elaboração da Constituição Federal de 1988, muitos foram os debates e embates
            acerca da participação privada no SUS. O resultado possível, após muitas negociações, foi que
            muitos a entendem como uma ambiguidade<Reference num="1" onClick={() => [setRef(1), setEffect(!effect)]} /><sup>,</sup><Reference num="2" onClick={() => [setRef(2), setEffect(!effect)]} />:

          </p>
        </Typography>
        <Box className='d-flex'>
          <Box className='d-flex flex-column caixas'>
            <Typography variant='body1'>
              <p className='text' id='textomaior'>
                A Constituição definiu um sistema público, universal e
                gratuito como direito de todos e como dever do estado
              </p>
            </Typography>
            <img id='img' src={down} alt='' />
            <Typography variant='body1'>
              <p className='text' id='textmenor'>
                Mas, ao mesmo tempo, estabeleceu
                que a assistência à saúde é livre à
                iniciativa privada.
              </p>
            </Typography>
          </Box>
          <Box>
            <img id='sus' src={imagem} alt='' />
          </Box>
        </Box>
      </StyledContainer>
    </DefaultPage>
  )
}
