import React, {useState} from 'react'
import { Typography, Box } from '@material-ui/core'

import DefaultPage from '../../components/DefaultPage'
import { StyledContainer } from './styles'
import Reference from '../../components/Reference'

import total from '../../assets/images/p7/total.png'


export default function () {
  const [ref, setRef] = useState(0)
  const [effect, setEffect] = useState(false)

  return (
    <DefaultPage effect={effect} referencia={ref} header footerColor='#18bfc5' prev='/p5' next='/p8' title1='Participação do setor privado' color=' #dbfffe' replay='/p4'>
      <StyledContainer>
        <Box>
          <Typography variant='body1'>
            <p>
              A <strong>Lei nº 8.080, de 1990,</strong> prevê que na prestação de serviços privados de assistência à saúde deverão ser observados os princípios éticos e as normas expedidas pelo órgão de direção do Sistema Único de Saúde (SUS) quanto às condições para seu funcionamento<Reference num="3" onClick={() => [setRef(3), setEffect(!effect)]} />.
            </p>
          </Typography>
        </Box>
        <Box className='d-flex justify-content-center' id='total'>
          <img src={total} alt='' />
        </Box>
      </StyledContainer>
    </DefaultPage>
  )
}
