import React, { useState } from 'react'
import { Typography, Box } from '@material-ui/core'

import Reference from '../../components/Reference'
import DefaultPage from '../../components/DefaultPage'

import { StyledContainer } from './styles'

import card1 from '../../assets/images/p8/ajustes-05A.png'
import card2 from '../../assets/images/p8/ajustes-06.png'

export default function () {
  const texto1 = <p>A iniciativa própria ocorre por meio da articulação de profissionais liberais, legalmente habilitados, e de pessoas jurídicas de direito privado na promoção, proteção e recuperação da saúde<Reference num="3" onClick={() => [setRef(3), setEffect(!effect)]} />.</p>
  const texto2 = <p>A Constituição prevê que ocorra em caráter complementar, desde que comprovada a necessidade e que haja a impossibilidade de ampliação dos serviços públicos de saúde ofertados diretamente pelo estado. Essa complementaridade se concretiza mediante contrato administrativo ou convênio, e estabelece que as entidades filantrópicas e sem fins lucrativos terão preferência. A remuneração dos serviços contratados e conveniados deverá utilizar como referência a Tabela de Procedimentos do SUS<Reference num="4" onClick={() => [setRef(4), setEffect(!effect)]} /><sup>,</sup><Reference num="3" onClick={() => [setRef(3), setEffect(!effect)]} />. </p>

  const [exibirTexto, setTexto] = useState(texto1)
  const [ativo, setAtivo] = useState(true)

  const [ref, setRef] = useState(0)
  const [effect, setEffect] = useState(false)

  return (
    <DefaultPage header effect={effect} referencia={ref} footerColor='#18bfc5' prev='/p7' next='/p9' replay='/p4' title1='Participação do setor privado' color=' #dbfffe'>
      <StyledContainer>
        <Typography variant='body1' className='d-block'>
          <p id='text'>
            <strong>Clique</strong> nos botões abaixo para ler mais informações sobre cada uma das formas de inserção da
            iniciativa privada no SUS:
          </p>
        </Typography>
        <Box id='mobile'>
          <Box className='d-flex'>
            <Box className='d-flex align-items-center' >
              {ativo ? <img id='img' src={card1} alt='' onClick={() => [setTexto(texto1), setAtivo(true)]} /> : <img id='img' src={card1} alt='' onClick={() => [setTexto(texto1), setAtivo(true)]} className='quadroDesativado' />}
            </Box>
            <Box className='d-flex align-items-center'>
              {ativo ? <img id='img' className='quadroDesativado' src={card2} alt='' onClick={() => [setTexto(texto2), setAtivo(false)]} /> : <img id='img' src={card2} alt='' onClick={() => [setTexto(texto2), setAtivo(false)]} />}
            </Box>
          </Box>
          <Box className='d-block'>
            <Typography variant='body1'>
              <p id='conteudo'>
                {exibirTexto}
              </p>
            </Typography>
          </Box>
        </Box>
      </StyledContainer>
    </DefaultPage>
  )
}
