import React, {useState} from 'react'
import { Typography, Box } from '@material-ui/core'
import Reference from '../../components/Reference'
import DefaultPage from '../../components/DefaultPage'

import { StyledContainer } from './styles'

import aspas1 from '../../assets/images/p9/Aspas1.png'
import aspas2 from '../../assets/images/p9/Aspas2.png'

export default function () {
  const [effect, setEffect] = useState(false)
  const [ref, setRef] = useState(0)
  return (
    <DefaultPage effect={effect} referencia={ref} header footerColor='#18bfc5' prev='/p8' replay='/p4' title1='Participação do setor privado' color=' #dbfffe'>
      <StyledContainer>
        <Typography variant='body1' className='conteudo'>
          <p>
            Diante do exposto, o SUS seria, portanto, organizado com estabelecimentos públicos e privados,
            contratados e conveniados, que devem funcionar sob a égide do direito público<Reference num="2" onClick={() => [setRef(2), setEffect(!effect)]} />. Ainda que livre à
            iniciativa privada, o arcabouço legal do SUS prevê que a oferta de serviços deve estar orientada ao
            interesse público e coletivo. Exemplo disso é que na Lei nº 8.080/90 consta que:
          </p>
          <Box id='box-text'>
            <Box className='img'>
              <img src={aspas1} alt='' id='aspas1' />
            </Box>
            <p id='text'>
              Para atendimento de necessidades coletivas, urgentes e transitórias,
              decorrentes de situações de perigo iminente, de calamidade pública ou de
              irrupção de epidemias, a autoridade competente da esfera administrativa
              correspondente poderá requisitar bens e serviços, tanto de pessoas naturais
              como de jurídicas, sendo-lhes assegurada justa indenização.
            </p>
            <Box className='d-flex justify-content-end bg-black'>
              <img src={aspas2} alt='' id='aspas2' />
            </Box>
          </Box>
          <p>
            Essa previsão legal é que respaldaria, por exemplo, a requisição administrativa de leitos privados
            em um contexto sanitário de pandemia em favor do interesse da coletividade<Reference num="3" onClick={() => [setRef(3), setEffect(!effect)]} />.
          </p>
        </Typography>
      </StyledContainer>
    </DefaultPage>
  )
}
